summaryrefslogtreecommitdiffstats
path: root/deps/PyQt5/PyQt5.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/PyQt5/PyQt5.SlackBuild')
-rwxr-xr-xdeps/PyQt5/PyQt5.SlackBuild58
1 files changed, 40 insertions, 18 deletions
diff --git a/deps/PyQt5/PyQt5.SlackBuild b/deps/PyQt5/PyQt5.SlackBuild
index b0b39b3..66f7b09 100755
--- a/deps/PyQt5/PyQt5.SlackBuild
+++ b/deps/PyQt5/PyQt5.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for PyQt
# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
-# Copyright 2008, 2009, 2010, 2011, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2015, 2016, 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,29 +27,30 @@
# Modified by Eric Hameleers <alien@slackware.com>
PKGNAM=PyQt5
-VERSION=${VERSION:-5.7}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-5.9.2}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:--j7}
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PKGNAM
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "x86_64" ]; then
@@ -60,6 +61,9 @@ else
SLKCFLAGS="-O2"
fi
+PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -67,10 +71,6 @@ rm -rf ${PKGNAM}_gpl-$VERSION
tar xvf $CWD/${PKGNAM}_gpl-$VERSION.tar.?z* || exit 1
cd ${PKGNAM}_gpl-$VERSION || exit 1
-## The additional include path was removed due to this line,
-## resulting in "fatal error: dbus/dbus-arch-deps.h: No such file or directory"
-#sed -i '/target_config.dbus_inc_dirs = \[\]/d' configure.py
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -85,9 +85,29 @@ export QT5DIR=/usr/lib${LIBDIRSUFFIX}/qt5
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
+if [ -n "${PYTHON3LIB}" ]; then
+ python3 configure.py \
+ --confirm-license \
+ --verbose \
+ --qsci-api \
+ -q /usr/bin/qmake-qt5 \
+ || exit 1
+
+ make $NUMJOBS || make || exit 1
+ # INSTALL_ROOT is needed to install libpyqt4.so properly:
+ make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+ make clean
+
+ mv $PKG/usr/bin/pyrcc5 $PKG/usr/bin/pyrcc5-py3
+ mv $PKG/usr/bin/pyuic5 $PKG/usr/bin/pyuic5-py3
+ mv $PKG/usr/bin/pylupdate5 $PKG/usr/bin/pylupdate5-py3
+ rm -rf $PKG/$PYTHON3LIB/${PKGNAM}/uic/port_v2/
+fi
+
python configure.py \
--confirm-license \
--verbose \
+ --qsci-api \
-q /usr/bin/qmake-qt5 \
|| exit 1
@@ -95,12 +115,14 @@ make $NUMJOBS || make || exit 1
# INSTALL_ROOT is needed to install libpyqt4.so properly:
make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+rm -rf $PKG/$PYTHONLIB/${PKGNAM}/uic/port_v3/
+
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- GPL_EXCEPTION*.TXT LICENSE.* NEWS OPENSOURCE-NOTICE.TXT README THANKS doc/* \
+ ChangeLog LICENSE* NEWS README doc/* \
$PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install